org.eclipse.jgit.api.errors

## Class NoMessageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.api.errors.GitAPIException
      - - org.eclipse.jgit.api.errors.NoMessageException

All Implemented Interfaces:
  Serializable

    public class NoMessageException
    extends GitAPIException

Exception thrown when the options given to a command don't include a specification of a message text (e.g. a commit was called without explicitly specifying a commit message (or other options telling where to take the message from.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoMessageException(String message)`
`NoMessageException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoMessageException

    public NoMessageException(String message,
                              Throwable cause)

Parameters:
  `message` -
  `cause` -

#### NoMessageException

    public NoMessageException(String message)

Parameters:
  `message` -